
package ru.other.company.card.service.provider.xml;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *                     Базовое представление карты/купона
 *                 
 * 
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "cardType")
@XmlSeeAlso({
    XmlExampleCoupon.class,
    XmlExampleDiscountCard.class
})
public abstract class XmlExampleAbstractCard
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "card-number", required = true)
    protected String number;
    @XmlAttribute(name = "status")
    protected XmlExampleCardStatus status;

    /**
     * 
     *                         Сам номер карты/купона - уникален. Поле обязательно
     *                     
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumber() {
        return number;
    }

    /**
     * Sets the value of the number property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumber(String value) {
        this.number = value;
    }

    /**
     * 
     *                         Статус карты/купона
     *                     
     * 
     * @return
     *     possible object is
     *     {@link XmlExampleCardStatus }
     *     
     */
    public XmlExampleCardStatus getStatus() {
        if (status == null) {
            return XmlExampleCardStatus.ACTIVE;
        } else {
            return status;
        }
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link XmlExampleCardStatus }
     *     
     */
    public void setStatus(XmlExampleCardStatus value) {
        this.status = value;
    }

}
