package ru.crystals.test.plugins;


import org.slf4j.Logger;
import ru.crystals.pos.spi.IntegrationProperties;
import ru.crystals.test.plugins.data.PluginResult;

import javax.xml.bind.Unmarshaller;
import java.io.File;

public class ResponseReaderRoutine {
    private IntegrationProperties integrationProperties;
    private Unmarshaller unmarshaller;
    private Logger logger;

    public ResponseReaderRoutine(Logger logger, IntegrationProperties ips, Unmarshaller unmarshaller) {
        this.integrationProperties = ips;
        this.logger = logger;
        this.unmarshaller = unmarshaller;
    }

    public PluginResult getResultBag() {
        return readProperties(integrationProperties.getServiceProperties().get("setting.test.service.config.file"));
    }

    private PluginResult readProperties(String file) {
        if(unmarshaller == null) {
            logger.error("Plugin not initialized");
            return new PluginResult();
        }
        File f = new File(file);
        if(!f.exists() || !f.canRead() || !f.isFile()) {
            logger.warn("\"{}\" - file not found", f.getAbsolutePath());
            return new PluginResult();
        }
        try {
            return (PluginResult)unmarshaller.unmarshal(f);
        } catch (Exception ex) {
            logger.error("Failed to create response", ex);
            return new PluginResult();
        }
    }

}
