package ru.crystals.test.plugins.builders;

import ru.crystals.pos.api.ext.loyal.dto.Slip;
import ru.crystals.pos.api.ext.loyal.dto.SlipParagraph;
import ru.crystals.pos.api.ext.loyal.dto.SlipParagraphType;
import ru.crystals.test.plugins.data.PrintSlip;

public class SlipBuilder {

    private SlipBuilder() {
        //
    }

    public static Slip createSlip(PrintSlip ps) {
        Slip s = new Slip();
        s.setIndex(ps.getIndex());
        s.setDisableLogo(ps.isDisableLogo() == null ? false : ps.isDisableLogo());
        s.setDisableCut(ps.isDisableCut() == null ? false : ps.isDisableCut());
        s.setDisableRequisites(ps.isDisableRequisites() == null ? false : ps.isDisableRequisites());
        s.setSeparated(ps.isSeparated() == null ? true : ps.isSeparated());
        for(String line : ps.getLine()) {
            s.getParagraphs().add(new SlipParagraph(SlipParagraphType.TEXT, line));
        }
        return s;
    }
}
