package ru.crystals.pos.api.comm.table;

import java.util.ArrayList;
import java.util.List;

/**
 * Таблица для отображения на дисплее покупателя.
 * @since 0.0.50
 * @see ru.crystals.pos.spi.equipment.CustomerDisplayMessage
 */
public class Table {
    private String title;

    private List<TableRow> rows;

    /**
     * Конструктор класса. Создаёт новый экземеляр класса {@link Table}.
     */
    public Table() {
        //
    }

    /**
     * Конструктор класса. Создаёт новый экземпляр класса {@link Table}.
     * @param title текст заголовка таблицы
     */
    public Table(String title) {
        this.title = title;
    }

    /**
     * Возвращает список строк таблицы.
     * @return список строк таблицы или пустой список, если таких нет.
     */
    public List<TableRow> getRows() {
        if(rows == null) {
            rows = new ArrayList<>();
        }
        return rows;
    }

    /**
     * Возвращает текст заголовка таблицы.
     * @return текст заголовка таблицы или null, если такого нет.
     */
    public String getTitle() {
        return title;
    }

    /**
     * Устанавливает текст заголовка таблицы.
     * @param title текст заголовка таблицы или null, если такого нет.
     */
    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String toString() {
        return "Table{" +
                "title='" + title + '\'' +
                ", rows=" + rows +
                '}';
    }
}
