package ru.crystals.pos.api.ext.loyal.dto;


/**
 * Перечисление возможных представлений содержимого {@link SlipParagraph "абзацев"} на чековой ленте.
 */
public enum SlipParagraphType {

    /**
     * Сообщение абзаца будет распечатано как текст
     */
    TEXT,

    /**
     * Сообщение абзаца будет распечатано как ШК (Штрих-код) в кодировке <a href="https://en.wikipedia.org/wiki/Code_39">Code39</a>.
     */
    BARCODE,

    /**
     * Абзац следует распечатать как <a href="https://en.wikipedia.org/wiki/QR_code">QR</a> код.
     * @since 0.0.36
     */
    QR,

    /**
     * Сообщение абзаца является картинкой. В таком случае у {@link SlipParagraph} необходимо заполнить поле {@link SlipParagraph#image}.
     * @since 0.0.41
     */
    IMAGE
}
