package ru.crystals.pos.api.plugin.card;

/**
 * Статус отклика на запрос информации по карте/купону.
 *
 */
public enum CardSearchResponseStatus {

    /**
     * Запрос обработан корректно: запрошенная карта в справочнике карт (в процессинге) обнаружена
     */
    OK,

    /**
     * Запрошенная карта заведомо не является картой данного процессинга.
     * <p>
     * Например, это было выявлено на основании анализа префикса и длины номера карты. Обращения в процессинг при этом не потребовалось
     */
    UNKNOWN_CARD,

    /**
     * [Все] сервера карточного процессинга offline - информацию по карте получить не удалось
     */
    OFFLINE,

    /**
     * Запрошенная карта/купон в справочнике карт не обнаружена
     */
    CARD_NOT_FOUND,

    /**
     * Возникла внутренняя ошибка процессинга карт
     */
    ERROR;
}
